﻿Imports Telerik.Web.UI

Partial Class _Default
    Inherits System.Web.UI.Page

    Protected Sub RadCalendar1_DayRender(sender As Object, e As Telerik.Web.UI.Calendar.DayRenderEventArgs)
        Dim currentDate As DateTime = e.Day.Date

        If e.Day.Date = DateTime.Today OrElse e.Day.Date = DateTime.Today.AddDays(-1) OrElse e.Day.Date = DateTime.Today.AddDays(1) Then
            Dim cell As TableCell = e.Cell

            cell.Attributes.Add("onmouseover", "showToolTip(this, event);")
            cell.Attributes.Add("id", "Calendar1_" & currentDate.ToString())
            cell.CssClass = "rcSelected"


            RadToolTipManager1.TargetControls.Add(e.Cell.Attributes("id"), currentDate.ToString(), True)
        End If

    End Sub

    Protected Sub RadToolTipManager1_AjaxUpdate(sender As Object, e As ToolTipUpdateEventArgs)
        Dim details As UserControl = TryCast(Me.LoadControl("CustomToolTip.ascx"), UserControl)

        Dim label As Label = details.FindControl("Label1")

        label.Text = e.Value.ToString()

        e.UpdatePanel.ContentTemplateContainer.Controls.Add(details)
    End Sub
End Class
